CVE-2002-1392
CVSS2.1
发布时间 :2003-01-17 00:00:00
修订时间 :2016-10-17 22:26:44
NMCOS    

[原文]faxspool in mgetty before 1.1.29 uses a world-writable spool directory for outgoing faxes, which allows local users to modify fax transmission privileges.


[CNNVD]MGetty缓冲目录全局可写权限漏洞(CNNVD-200301-032)

        
        mgetty是一款getty的替代程序,用于数据和传真操作。
        mgetty提供的faxspool脚本使用过于简单的权限机制来限制允许或拒绝传真,本地攻击者可以利用这个漏洞获得敏感信息。
        faxspool脚本提供的访问权限机制过于简单,由于对外出传真使用的缓冲目录全局可写,可导致本地攻击者绕过限制获得敏感信息。
        

- CVSS (基础分值)

CVSS分值: 2.1 [轻微(LOW)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-1392
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-1392
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200301-032
(官方数据源) CNNVD

- 其它链接及资源

ftp://ftp.caldera.com/pub/security/OpenLinux/CSSA-2003-021.0.txt
(UNKNOWN)  CALDERA  CSSA-2003-021.0
http://marc.info/?l=bugtraq&m=105154413326136&w=2
(UNKNOWN)  GENTOO  GLSA-200304-09
http://search.alphanet.ch/cgi-bin/search.cgi?msgid=20021125142338.E12094%40greenie.muc.de&max_results=1&type=long&domain=ml-mgetty
(VENDOR_ADVISORY)  CONFIRM  http://search.alphanet.ch/cgi-bin/search.cgi?msgid=20021125142338.E12094%40greenie.muc.de&max_results=1&type=long&domain=ml-mgetty
http://www.redhat.com/support/errata/RHSA-2003-008.html
(UNKNOWN)  REDHAT  RHSA-2003:008
http://www.redhat.com/support/errata/RHSA-2003-036.html
(UNKNOWN)  REDHAT  RHSA-2003:036
http://www.securityfocus.com/bid/7302
(UNKNOWN)  BID  7302
http://xforce.iss.net/xforce/xfdb/11070
(UNKNOWN)  XF  mgetty-faxspool-worldwritable-directory(11070)

- 漏洞信息

MGetty缓冲目录全局可写权限漏洞
低危 设计错误
2003-01-17 00:00:00 2005-05-13 00:00:00
本地  
        
        mgetty是一款getty的替代程序,用于数据和传真操作。
        mgetty提供的faxspool脚本使用过于简单的权限机制来限制允许或拒绝传真,本地攻击者可以利用这个漏洞获得敏感信息。
        faxspool脚本提供的访问权限机制过于简单,由于对外出传真使用的缓冲目录全局可写,可导致本地攻击者绕过限制获得敏感信息。
        

- 公告与补丁

        厂商补丁:
        RedHat
        ------
        RedHat已经为此发布了一个安全公告(RHSA-2003:036-01)以及相应补丁:
        RHSA-2003:036-01:Updated mgetty packages available
        链接:https://www.redhat.com/support/errata/RHSA-2003-036.html
        补丁下载:
        Red Hat Linux 7.1:
        SRPMS:
        ftp://updates.redhat.com/7.1/en/os/SRPMS/mgetty-1.1.30-0.7.src.rpm
        i386:
        ftp://updates.redhat.com/7.1/en/os/i386/mgetty-1.1.30-0.7.i386.rpm
        ftp://updates.redhat.com/7.1/en/os/i386/mgetty-sendfax-1.1.30-0.7.i386.rpm
        ftp://updates.redhat.com/7.1/en/os/i386/mgetty-voice-1.1.30-0.7.i386.rpm
        ftp://updates.redhat.com/7.1/en/os/i386/mgetty-viewfax-1.1.30-0.7.i386.rpm
        Red Hat Linux 7.2:
        SRPMS:
        ftp://updates.redhat.com/7.2/en/os/SRPMS/mgetty-1.1.30-0.7.src.rpm
        i386:
        ftp://updates.redhat.com/7.2/en/os/i386/mgetty-1.1.30-0.7.i386.rpm
        ftp://updates.redhat.com/7.2/en/os/i386/mgetty-sendfax-1.1.30-0.7.i386.rpm
        ftp://updates.redhat.com/7.2/en/os/i386/mgetty-voice-1.1.30-0.7.i386.rpm
        ftp://updates.redhat.com/7.2/en/os/i386/mgetty-viewfax-1.1.30-0.7.i386.rpm
        ia64:
        ftp://updates.redhat.com/7.2/en/os/ia64/mgetty-1.1.30-0.7.ia64.rpm
        ftp://updates.redhat.com/7.2/en/os/ia64/mgetty-sendfax-1.1.30-0.7.ia64.rpm
        ftp://updates.redhat.com/7.2/en/os/ia64/mgetty-voice-1.1.30-0.7.ia64.rpm
        ftp://updates.redhat.com/7.2/en/os/ia64/mgetty-viewfax-1.1.30-0.7.ia64.rpm
        Red Hat Linux 7.3:
        SRPMS:
        ftp://updates.redhat.com/7.3/en/os/SRPMS/mgetty-1.1.30-0.7.src.rpm
        i386:
        ftp://updates.redhat.com/7.3/en/os/i386/mgetty-1.1.30-0.7.i386.rpm
        ftp://updates.redhat.com/7.3/en/os/i386/mgetty-sendfax-1.1.30-0.7.i386.rpm
        ftp://updates.redhat.com/7.3/en/os/i386/mgetty-voice-1.1.30-0.7.i386.rpm
        ftp://updates.redhat.com/7.3/en/os/i386/mgetty-viewfax-1.1.30-0.7.i386.rpm
        Red Hat Linux 8.0:
        SRPMS:
        ftp://updates.redhat.com/8.0/en/os/SRPMS/mgetty-1.1.30-0.8.0.src.rpm
        i386:
        ftp://updates.redhat.com/8.0/en/os/i386/mgetty-1.1.30-0.8.0.i386.rpm
        ftp://updates.redhat.com/8.0/en/os/i386/mgetty-sendfax-1.1.30-0.8.0.i386.rpm
        ftp://updates.redhat.com/8.0/en/os/i386/mgetty-voice-1.1.30-0.8.0.i386.rpm
        ftp://updates.redhat.com/8.0/en/os/i386/mgetty-viewfax-1.1.30-0.8.0.i386.rpm
        可使用下列命令安装补丁:
        rpm -Fvh [文件名]
        mgetty
        ------
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        mgetty Upgrade mgetty1.1.30-Dec16.tar.gz
        ftp://alpha.greenie.net/pub/mgetty/source/1.1/mgetty1.1.30-Dec16.tar.gz

- 漏洞信息

11862
mgetty faxspool Weak Permission Outgoing Fax Modification

- 漏洞描述

Unknown or Incomplete

- 时间线

2002-11-25 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

MGetty Spool Directory World Writeable Permissions Vulnerability
Design Error 7302
No Yes
2002-11-25 12:00:00 2009-07-11 09:06:00
This vulnerability was reported by the vendor.

- 受影响的程序版本

Sun Linux 5.0.6
mgetty mgetty 1.1.28
+ RedHat Linux 8.0 i686
+ RedHat Linux 8.0 i386
+ RedHat Linux 8.0
+ RedHat Linux 7.3 i686
+ RedHat Linux 7.3 i386
+ RedHat Linux 7.3
mgetty mgetty 1.1.27
mgetty mgetty 1.1.26
+ RedHat Linux 7.2 ia64
+ RedHat Linux 7.2 i686
+ RedHat Linux 7.2 i586
+ RedHat Linux 7.2 i386
+ RedHat Linux 7.2 athlon
+ RedHat Linux 7.2
mgetty mgetty 1.1.25
+ RedHat Linux 7.1 i686
+ RedHat Linux 7.1 i586
+ RedHat Linux 7.1 i386
+ RedHat Linux 7.1
mgetty mgetty 1.1.24
mgetty mgetty 1.1.23
mgetty mgetty 1.1.22
+ Caldera OpenLinux Server 3.1.1
+ Caldera OpenLinux Server 3.1
+ Caldera OpenLinux Workstation 3.1.1
+ Caldera OpenLinux Workstation 3.1
Mandriva Linux Mandrake 9.0
Mandriva Linux Mandrake 8.2 ppc
Mandriva Linux Mandrake 8.2
MandrakeSoft Multi Network Firewall 2.0
MandrakeSoft Corporate Server 2.1
mgetty mgetty 1.1.30
mgetty mgetty 1.1.29

- 不受影响的程序版本

mgetty mgetty 1.1.30
mgetty mgetty 1.1.29

- 漏洞讨论

A vulnerability has been reported in mgetty that may allow local attackers to obtain access to confidential information. The vulnerability exists due to weak default permissions during the installation of mgetty.

- 漏洞利用

There is no exploit code required.

- 解决方案

Mandrake Linux has released advisory MDKSA-2003:053 to address this issue.

Gentoo has release advisory 200304-09 to address this issue. Users of affected systems are advised to issue the following commands to update:

emerge sync
emerge mgetty
emerge clean

Caldera has released advisory CSSA-2003-021.0, and made fixes available to address this issue.

Sun has released a fix for Sun Linux 5.0.6.

Fixes available:


mgetty mgetty 1.1.22

mgetty mgetty 1.1.25

mgetty mgetty 1.1.26

mgetty mgetty 1.1.27

mgetty mgetty 1.1.28

MandrakeSoft Multi Network Firewall 2.0

MandrakeSoft Corporate Server 2.1

Sun Linux 5.0.6

Mandriva Linux Mandrake 8.2 ppc

Mandriva Linux Mandrake 8.2

Mandriva Linux Mandrake 9.0

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站